import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class TestGreatestCommonDiviser {
    private GreatestCommonDiviser gcd = new GreatestCommonDiviser();

    @Test
    protected void testBasicValuesFUNCTION1A(){
        assertEquals(1, gcd.findGCD(1,1), "Nefunkční pro vstupy 1 a 1, NSD 1");
    }

    @Test
    protected void testBasicValuesFUNCTION1B(){
        assertEquals(20, gcd.findGCD(100,120), "Nefunkční pro vstupy 100 a 120, NSD 20");
    }
    @Test
    protected void testBasicValuesFUNCTION1C(){
        assertEquals(14, gcd.findGCD(84,854), "Nefunkční pro vstupy 84 a 854, NSD 14");
    }
    @Test
    protected void testBasicValuesFUNCTION1D(){
        assertEquals(16, gcd.findGCD(100,120), "Nefunkční pro vstupy 32 a 48, NSD 16");
    }
    @Test
    protected void testBasicValuesFUNCTION1E(){
        assertEquals(5, gcd.findGCD(55,75), "Nefunkční pro vstupy 55 a 75, NSD 5");
    }
    @Test
    protected void testBasicValuesFUNCTION2A(){
        assertEquals(10, gcd.findGCD(10,10,20), "Nefunkční pro vstupy 10, 10 a 20, NSD 10");
    }

    @Test
    protected void testBasicValuesFUNCTION2B(){
        assertEquals(10, gcd.findGCD(100,120,170), "Nefunkční pro vstupy 100, 120 a 170, NSD 10");
    }
    @Test
    protected void testBasicValuesFUNCTION2C(){
        assertEquals(3, gcd.findGCD(45, 1521, 2451), "Nefunkční pro vstupy 45, 1521 a 2451, NSD 3");
    }
    @Test
    protected void testBasicValuesFUNCTION2D(){
        assertEquals(20, gcd.findGCD(1540, 3860, 8440), "Nefunkční pro vstupy 1540, 3860 a 8440, NSD 20");
    }

}
